using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IFileService
    {
        Task<ServiceResult<string>> Create(IFormFile file, string tenantId, string courseId);
        Task<List<string>> GetFileNames();
        ServiceResult<bool> DeleteFile(string filePath);
        bool ExistFile(string relativePath);
        List<string> GetPhysicalFiles();
    }
}
