﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;
using Tsi1.DataLayer.Entities;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IPostService
    {
        Task<ServiceResult<List<PostPreviewDto>>> GetPosts(int forumId);

        Task<ServiceResult<int>> Create(PostCreateDto newPost);

        Task<ServiceResult<Post>> Delete(int postId);
    }
}
