﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.DataLayer.Entities
{
    public class User
    {
        public User()
        {
            Posts = new HashSet<Post>();
            PostMessages = new HashSet<PostMessage>();
            ForumUsers = new HashSet<ForumUser>();
            SurveyResponses = new HashSet<SurveyResponse>();
            Attendances = new HashSet<Attendance>();
        }

        public int Id { get; set; }
        
        public int UserTypeId { get; set; }
        
        public int? StudentId { get; set; }
        
        public int? ProfessorId { get; set; }
        
        public string Username { get; set; }
        
        public string Password { get; set; }
        
        public string FirstName { get; set; }
        
        public string LastName { get; set; }
        
        public string Email { get; set; }

        public DateTime Birthdate { get; set; }

        public int TenantId { get; set; }

        public Tenant Tenant { get; set; }
        public UserType UserType { get; set; }
        public Student Student { get; set; }
        public Professor Professor { get; set; }

        public ICollection<Post> Posts { get; set; }
        public ICollection<PostMessage> PostMessages { get; set; }
        public ICollection<ForumUser> ForumUsers { get; set; }
        public ICollection<SurveyResponse> SurveyResponses { get; set; }
        public ICollection<Attendance> Attendances { get; set; }
    }
}
