﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;
using Tsi1.DataLayer.Entities;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IForumService
    {
        Task<ServiceResult<List<ForumPreviewDto>>> GetForums(int sectionId);
        Task<ServiceResult<int>> Create(ForumCreateDto newForum);
        Task<ServiceResult<int>> Modify(int id, ForumModifyDto forum);
        Task<ServiceResult<Forum>> Delete(int forumId);
        Task<ServiceResult<List<string>>> GetSubscribedUsers(int forumId);
        Task<ServiceResult<List<bool>>> Subscribe(int forumId, int userId);
    }
}
